Skip to content
Docs

HELOC Inquiries/Inquiries

Update attributions

PATCH/products/heloc/v1/inquiry/{appUuid}/attributions
Request
curl -X PATCH \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/attributions" \
  -H "apikey: $FIGURE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "request": {
    "loanOriginatorUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "async": true
  },
  "attributions": {
    "utmParameters": {
      "source": "string",
      "medium": "string",
      "campaign": "string",
      "term": "string",
      "content": "string"
    },
    "externalReferenceData": {
      "externalApplicationId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "externalReferenceId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "externalCustomerId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a"
    }
  }
}'

Path parameters

  • appUuidstringRequired

Request body

application/json

  • requestobjectRequired
    ShowHide 2 attributes of request
    • loanOriginatorUuidstringRequired
    • asyncbooleanRequiredDeprecated

      Will be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.

  • attributionsobjectRequired
    ShowHide 2 attributes of attributions
    • utmParametersobject
      ShowHide 5 attributes of utmParameters
      • sourcestring
      • mediumstring
      • campaignstring
      • termstring
      • contentstring
    • externalReferenceDataobject
      ShowHide 3 attributes of externalReferenceData
      • externalApplicationIdstring
      • externalReferenceIdstring
      • externalCustomerIdstring

Responses

200OK

No documented body.

Response

OK